var	OBJ_SCENE		= 0;			

var	OBJ_PLAYER		= 1;			

var PLAYER_IMAGE	= 0;			

var	PLAYER_TEXT		= 1;			

var PLAYER_DRAW		= 2;			

var	NAME_SCENE		= "S"			

var	NAME_PLAYER		= "P"			

var	PLAYER_NAME_IMAGE	= "I"		

var	PLAYER_NAME_TEXT	= "T"
var PLAYER_NAME_DRAW	= "D"
var	NAV_VISIBLE			= "show";
var	NAV_HIDDEN			= "hide";
var	NAV_INHERIT			= "inherit";
var	DUR_FOREVER				= -1;		

var	DEFAULT_PLAYER_DELAY	= 0;		

var	DELAY_NONE				= 0;		

var	DELAY_UNTIL_TRANSITION	= -1;		

var	DELAY_UNTIL_TRIGGER		= -2;		

var	DUR_UNTIL_DONE			= -1;		

var TT_ALL_MOUSE_EVENTS	= 0;		

var	TT_BUTTONDOWN			= 1;		

var	TT_BUTTONUP				= 2;		

var	TT_MOUSEOVER			= 3;		

var	TT_MOUSEOUT				= 4;		

var	TB_PAGE_TURNER			= -1;		

var	TB_START_PLAYER			= -2;		

var NULL_TRANSITION			= -1;
var	TEXT_FLYIN				= 101;
var TEXT_TYPEWRITER         = 102;
g_utilDoc = parent.parent;
document.all = new Array;
window.onload  = OnLoad;
window.onerror = g_utilDoc.OnError;
function OnLoad ()
{  
Extract (document);
InitScene (); 
StartScene ();
}
function Extract( obj )
{
for (var intLayer = 0; intLayer< obj.layers.length; intLayer++)	

{
var el = obj.layers[intLayer];			

document.all[el.id] = new Object		

var newEl = document.all[el.id];		

newEl.id = el.id;								

if (null!=el.clip) 
{
newEl.offsetWidth = el.clip.width;		

newEl.offsetHeight = el.clip.height
}
newEl.NSLayer = el;							

for (var intLoop = 0; intLoop< el.document.images.length; intLoop++)
{
var image = el.document.images[intLoop]		

var	imageName = image.name;					

if ( imageName == null )					

continue;								

document.all[imageName] = image;			

document.images[imageName] = image;			

}
for (var intLoop = 0; intLoop< el.document.forms.length; intLoop++) 
{
var form = el.document.forms[intLoop];		

var formName = form.name;					

if ( formName == null )
continue;
document.all[formName] = form;				

document.forms[formName] = form;			

for ( var innerLoop = 0; innerLoop < form.elements.length; innerLoop++)
{
var element = form.elements[innerLoop]	

var elementName = element.name;
if ( elementName == null )				

continue;
document.all[elementName] = element;	

}
}
if ( el.layers.length > 0 )					

Extract(el)								

}
}
function InitBehaviors (obj)
{
var bhvIdx = 0;
if (obj.Bhv != null)
{
var bhv;
for (; (bhv = obj.Bhv[bhvIdx]) != null; bhvIdx++)
bhv.Init (obj, bhv);
}
obj.numBhv = bhvIdx; 

}
function StartBehaviors (obj)
{
if (obj.Bhv != null)
{
var bhv;
for (var bhvIdx = 0; bhvIdx < obj.numBhv; bhvIdx++)
{
bhv = obj.Bhv[bhvIdx];
if (bhv != null) 

{
if (null == bhv.delay || DELAY_NONE == bhv.delay)
bhv.Start (bhv);
else
g_utilDoc.StartOneShotTimer (bhv, bhv.delay, bhv.Start, g_utilDoc.TMR_SCENE);
}
}
}
}
function StopBehaviors (obj)
{
if (obj.Bhv != null)
{
var bhv;
for (var bhvIdx = 0; bhvIdx < obj.numBhv; bhvIdx++)
{
bhv = obj.Bhv[bhvIdx];
if (bhv != null) 

bhv.StopEverything (bhv);
}
}
}
function Scene (duration, name)
{
this.duration = duration;
this.name = name;
}
function InitScene ()
{
DocScene.HTML = document.all[DocScene.name];		

SetVisibility (DocScene.HTML, NAV_HIDDEN);	

InitPlayers (); 

if ( DocScene.entryTrans == null )
{
DocScene.entryTrans = new Object();
DocScene.entryTrans.type = NULL_TRANSITION;
}
InitBehaviors (DocScene);
}
function SceneExit (objScene)
{
g_utilDoc.DocSceneExit ();
}
function StartScene ()
{
StartBehaviors (DocScene);
StartScenePlayers (); 

StartNavTransition (DocScene, NAV_VISIBLE, SceneTransitionDone);
if (DocScene.duration != DUR_FOREVER)
g_utilDoc.StartOneShotTimer (DocScene, DocScene.duration, SceneExit, g_utilDoc.TMR_SCENE);
}
function StopEverythingOnScene ()
{
StopBehaviors (DocScene);
StopEverythingOnPlayers ();
}
function SceneTransitionDone (objScene)
{
if ( DocScene.Bhv != null )
for ( bhvIdx=0; bhvIdx < DocScene.numBhv; bhvIdx++ )	

{
var bhv = DocScene.Bhv[bhvIdx]
if ( bhv == null)								

continue;
if ( bhv.delay == DELAY_UNTIL_TRANSITION  )	

bhv.Start( bhv );									

}
StartScenePlayersAfterTransition ();	

}
function Player( delay, duration )
{
this.delay = delay;
this.duration = duration;
}
function ShowAllPlayers ()
{
for (playerName in DocScene.Players)
SetVisibility (DocScene.Players[playerName].HTML, NAV_VISIBLE);
}
function InitPlayers ()
{
var objPlayer;							

var	playerNumber = 0;					

for ( playerName in DocScene.Players )
{
objPlayer = DocScene.Players[playerName];			

objPlayer.number = playerNumber;					

objPlayer.name = playerName;						

objPlayer.HTML = document.all[playerName];			

SetVisibility (objPlayer.HTML, NAV_HIDDEN);			

objPlayer.position = new Position(objPlayer);		

if ( objPlayer.delay == null )						

objPlayer.delay = DEFAULT_PLAYER_DELAY;			

if		( objPlayer.entryTrans == null )
{
objPlayer.entryTrans = new Object();
objPlayer.entryTrans.type = NULL_TRANSITION;
} 
else if ((objPlayer.entryTrans != null) &&				

(GetPlayerTypeFromName(objPlayer.name) == PLAYER_TEXT))
{
if ((TEXT_FLYIN == objPlayer.entryTrans.type) || (TEXT_TYPEWRITER == objPlayer.entryTrans.type))
objPlayer.entryTrans.type = null;
}
if ( objPlayer.exitTrans == null )
{
objPlayer.exitTrans = new Object();
objPlayer.exitTrans.type = NULL_TRANSITION;
}
InitBehaviors (objPlayer);
playerNumber ++;					

}	
}
function StopEverythingOnPlayers ()
{
var objPlayer;							

for ( playerName in DocScene.Players )
{
objPlayer = DocScene.Players[playerName];			

StopBehaviors (objPlayer);
DisableTrigger( objPlayer );						

}	
}
function StartScenePlayers ()
{
for ( playerName in DocScene.Players )
{
objPlayer = DocScene.Players[playerName];			

if		( objPlayer.delay == DELAY_NONE )			

StartPlayer( objPlayer )						

else if ( objPlayer.delay	> 0 )					

g_utilDoc.StartOneShotTimer (objPlayer, objPlayer.delay, StartPlayer, g_utilDoc.TMR_SCENE);
}
}
function StartScenePlayersAfterTransition ()
{
for ( playerName in DocScene.Players )
{
objPlayer = DocScene.Players[playerName];			

if ( objPlayer.delay == DELAY_UNTIL_TRANSITION )	

StartPlayer( objPlayer )						

}
}
function StartPlayer( objPlayer )
{
StartBehaviors (objPlayer)
StartNavTransition (objPlayer, NAV_VISIBLE, PlayerEntryTransitionDone);
if ( objPlayer.duration > 0 )
g_utilDoc.StartOneShotTimer (objPlayer, objPlayer.duration, PlayerExit, g_utilDoc.TMR_SCENE);
}
function PlayerEntryTransitionDone( objPlayer )
{
if ( objPlayer.Bhv != null )
for ( bhvIdx=0; bhvIdx < objPlayer.numBhv; bhvIdx++ )	

{
var bhv = objPlayer.Bhv[bhvIdx]
if ( bhv == null)								

continue;
if ( bhv.delay == DELAY_UNTIL_TRANSITION  )	

bhv.Start( bhv );									

}
if ( objPlayer.Triggers != null )
EnableTrigger( objPlayer );
}
function PlayerExit( objPlayer )
{
StartNavTransition (objPlayer, NAV_HIDDEN, PlayerExitTransitionDone);
}
function PlayerExitTransitionDone (objPlayer)
{
if ( objPlayer.Bhv != null )
for ( bhvIdx=0; bhvIdx < objPlayer.numBhv; bhvIdx++ )	

{
var bhv = objPlayer.Bhv[bhvIdx]
if ( bhv == null)								

continue;
if ( bhv.duration == DUR_UNTIL_DONE  )			

bhv.Stop( bhv );							

}
SetVisibility (objPlayer.HTML, NAV_HIDDEN);			

}
function Trigger( trigType, trigBhv, player, scene )
{
this.triggerType = trigType;
this.triggerBhv = trigBhv;
this.player = player;
this.nextSceneNum = scene;
}
function EnableTrigger (objPlayer)
{
for ( trx in objPlayer.Triggers )			

{
var	trigger = objPlayer.Triggers[trx];	

if ( trigger.triggerType == null )
trigger.triggerType = 0;						

var tt = trigger.triggerType;						

if ( tt== 0 )										

{
objPlayer.HTML.NSLayer.captureEvents( Event.MOUSEUP | Event.MOUSEDOWN | Event.MOUSEOVER | Event.MOUSEOUT );
objPlayer.HTML.NSLayer.onMouseUp = EventProcessor;
objPlayer.HTML.NSLayer.onMouseDown = EventProcessor;
objPlayer.HTML.NSLayer.onMouseOver = EventProcessor;
objPlayer.HTML.NSLayer.onMouseOut = EventProcessor;
}
else if	( tt == TT_BUTTONUP )
{
objPlayer.HTML.NSLayer.captureEvents(Event.MOUSEUP);
objPlayer.HTML.NSLayer.onMouseUp = EventProcessor;
}
else if ( tt == TT_BUTTONDOWN )
{
objPlayer.HTML.NSLayer.captureEvents(Event.MOUSEDOWN);
objPlayer.HTML.NSLayer.onMouseDown = EventProcessor;
}
}
}
function DisableTrigger (objPlayer)
{
objPlayer.HTML.NSLayer.releaseEvents (Event.MOUSEUP | Event.MOUSEDOWN | Event.MOUSEOVER | Event.MOUSEOUT);
}
function EventProcessor( e )
{
var trigger;									

var	type;										

var	button;										

var	eventType;									

var objPlayer;									

if ( (objPlayer = GetPlayerFromName(this.id)) == null)	

return;
type = e.type;
button = e.which;
if (type == "mousedown")
{
if ( button != 1 )						

return;
eventType = TT_BUTTONDOWN;
objPlayer.HTML.NSLayer.releaseEvents (Event.MOUSEDOWN);
objPlayer.HTML.NSLayer.captureEvents (Event.MOUSEDOWN);
}
else if (type == "mouseup")
{
if ( button != 1 )						

return;
eventType = TT_BUTTONUP;
objPlayer.HTML.NSLayer.releaseEvents(Event.MOUSEUP);
objPlayer.HTML.NSLayer.captureEvents(Event.MOUSEUP);
}
else if (type == "mouseover")
{
eventType = TT_MOUSEOVER;
}
else if (type == "mouseout")
{
eventType = TT_MOUSEOUT;
}
var triggerArray = objPlayer.Triggers;			

var trigger;									

for ( var trx=0; (trigger=triggerArray[trx]) != null; trx++ )
{
if ( (trigger.triggerType == 0) || (trigger.triggerType == eventType) )
{
if		( trigger.triggerBhv == TB_PAGE_TURNER )
{
if ( (trigger.nextSceneNum == null) || (trigger.nextSceneNum == "") )
g_utilDoc.DocSceneExit ();
else
g_utilDoc.DocSceneExit (parseInt (trigger.nextSceneNum));
}
else if	( trigger.triggerBhv == TB_START_PLAYER )
StartPlayer( GetPlayerFromName( trigger.player ) );				

else 
{
var objTrigPlayer = GetPlayerFromName( trigger.player );		

var bhv = objTrigPlayer.Bhv[trigger.triggerBhv];				

bhv.Trigger( bhv, eventType );									

}  	
}
}
}
function Transition( type, rate, flyFrom, flySubtype )
{
this.type = type;
this.rate = rate;
}
function StartNavTransition (transObj, vis, callback)
{
SetVisibility (transObj.HTML, vis);
callback (transObj);
}
var	SND_DUR_SCENE			= -1;	

var	SND_DUR_PROJECT			= 0;	

var ST_WAV					= 1;	

var	ST_MID					= 2;	

var	NAV_EXT					= "nav"	

var MidiTag					= null;	

function Sound( delay, duration, loop, soundType, tagName, fileName )
{
this.Init = InitSound;
this.Start = StartSound;
this.Trigger = StartSound;
this.Stop = StopSound;
this.StopEverything = StopSound;
this.delay = delay;
this.duration = duration;
this.tagName = tagName;
this.navLoop = (loop == -1) ? true : false;
this.fileName = fileName;
this.soundType = soundType;
}
function InitSound (objParent, objSound)
{
if (objSound.duration == SND_DUR_PROJECT)
{
objSound.html = g_utilDoc.GetProjectSoundHtml(objSound.fileName, objSound.soundType, true);
}
else
objSound.html = document.layers.NavSoundElementsDiv.document.embeds[objSound.tagName]
}
function StartSound( objSound )
{
if ( objSound.html != null )				

objSound.html.play(objSound.navLoop);
}
function StopSound (objSound)
{
if (objSound.duration != SND_DUR_PROJECT &&
objSound.html != null) 

{
objSound.html.stop();
}
}
var	TICKS_PER_FLASH = new Array (2,3,4,5,6); 

function Flash (delay, rate)
{
this.Init = InitFlash;
this.Start = StartFlash;
this.Trigger = StartFlash;
this.Stop = StopFlash;
this.StopEverything = StopFlash;
this.delay = delay;
this.rate = rate;
}
function InitFlash (objPlayer, objBhv)
{
objBhv.objPlayer = objPlayer;
objBhv.ElapsedTicks = 0;
}
function StartFlash (objBhv)
{
SetVisibility (objBhv.objPlayer.HTML, NAV_VISIBLE);
g_utilDoc.StartAnimationTimer (objBhv, FlashTick);
}
function StopFlash (objBhv)
{
SetVisibility (objBhv.objPlayer.HTML, NAV_VISIBLE);
}
function FlashTick (objBhv)
{
if (0 == (++objBhv.ElapsedTicks) % TICKS_PER_FLASH[objBhv.rate])
SetVisibility (objBhv.objPlayer.HTML, NAV_HIDDEN);
else
SetVisibility (objBhv.objPlayer.HTML, NAV_VISIBLE);
return false; 

}
function Wave (delay, rate)
{
this.Init = InitWave;
this.Start = StartWave;
this.Trigger = StartWave;
this.Stop = StopWave;
this.StopEverything = StopWave;
}
function InitWave (objPlayer, objBhv)
{
}
function StartWave (objBhv)
{
}
function StopWave (objBhv)
{
}
var	SND_DUR_SCENE			= -1;	

var	SND_DUR_PROJECT			= 0;	

function Swapper( idle, hover, click, replace )
{
this.Init = InitSwap;
this.Start = StartSwap;
this.Trigger = TriggerSwap;
this.Stop = StopSwap;
this.StopEverything = StopSwap;
this.idle = idle;
this.hover = hover;
this.click = click;
this.replace = replace;
this.Swapped = false;
}
function InitSwap (objParent, objSwap)
{
var	idle	= objSwap.idle;							

var	hover	= objSwap.hover;
var	click	= objSwap.click;
if ( (hover != null) && (hover != "") && (document.all[hover].src != null) )
{
SetVisibility (document.all[hover], NAV_HIDDEN);
objSwap.srcHover = document.all[hover].src;
document.all[hover].src = "";
}
else
objSwap.srcHover = document.all[idle].src;
if ( (click != null) && (click != "") && (document.all[click].src != null) )
{
SetVisibility (document.all[click], NAV_HIDDEN);
objSwap.srcClick = document.all[click].src;
document.all[click].src = "";
}
else
objSwap.srcClick = document.all[idle].src;
objSwap.srcIdle = document.all[idle].src;
}
function StartSwap( objSwap )
{
document.all[objSwap.idle].src = objSwap.srcIdle;
}
function TriggerSwap( objSwap, eventType )
{
if ( eventType == TT_BUTTONDOWN )
{
document.all[objSwap.idle].src = objSwap.srcClick;
if (true == objSwap.Swapped)
{
objSwap.Swapped = false;
if ((objSwap.hover == null) || (objSwap.hover == ""))
objSwap.srcHover = objSwap.srcIdle;
}
else
{
objSwap.Swapped = true;
if ((objSwap.hover == null) || (objSwap.hover == ""))
{
if (0 != objSwap.replace)
{
objSwap.srcHover = objSwap.srcClick;
}
}
}
}
else if ( eventType == TT_BUTTONUP )
document.all[objSwap.idle].src = objSwap.srcHover;
else if ( eventType == TT_MOUSEOVER )
document.all[objSwap.idle].src = objSwap.srcHover;
else if ( eventType == TT_MOUSEOUT )
{
if (true == objSwap.Swapped && 0 != objSwap.replace)
document.all[objSwap.idle].src = objSwap.srcClick;
else
document.all[objSwap.idle].src = objSwap.srcIdle;
}
}
function StopSwap (objSwap)
{
}
var	PATH_PER_TICK = new Array(50,40,30,20,10);		

var	PE_STOP		= 0;								

var	PE_AGAIN	= 1;								

var	PE_REV		= 2;								

var	PE_EXIT		= 3;								

var	PD_FWD		= 1;
var	PD_BACK		= -1;
function Point( x, y, rate )
{
this.x = x;
this.y = y;
this.rate = rate;
}
function Paths( delay, edgeEffect )
{
this.Init = InitPathAnimation;
this.Start = StartPathAnimation;
this.Trigger = StartPathAnimation;
this.Stop = StopPathAnimation;
this.StopEverything = StopPathAnimation;
this.delay = delay;
this.edgeEffect = edgeEffect;
}
function InitPathAnimation( objPlayer, path )
{
var	segment;									

var pathIndex;
var totalDistance;								

var	distanceX;									

var	distanceY;
var dx;											

var	dy;
var travelTime;									

var	remX;										

var	remY;
path.objPlayer = objPlayer;						

halfWidth = Math.floor(objPlayer.HTML.offsetWidth/2);		

halfHeight = Math.floor(objPlayer.HTML.offsetHeight/2);
path[0].x -= halfWidth;
path[0].y -= halfHeight;
objPlayer.position.SetPosition( path[0].x, path[0].y );
for ( pathIndex=0; path[pathIndex+1] != null; pathIndex++ )	

{
px = parseInt(pathIndex);					

segment = path[px];							

path[px+1].x -= halfWidth;
path[px+1].y -= halfHeight;
distanceX = path[px+1].x - segment.x;		

distanceY = path[px+1].y - segment.y;		

totalDistance = Math.sqrt( (distanceX*distanceX) + (distanceY*distanceY) );
travelTime = Math.round(totalDistance / PATH_PER_TICK[segment.rate]);
if( travelTime > 0 )
{
if ( distanceX > 0 )							

dx = Math.floor( distanceX / travelTime );	

else if ( distanceX < 0 )						

dx = Math.ceil( distanceX / travelTime );	

else
dx = 0;
if ( distanceY > 0 )							

dy = Math.floor( distanceY / travelTime );
else if ( distanceY < 0 )
dy = Math.ceil( distanceY / travelTime );
else
dy = 0;
}
else
{
dx = dy = 0;
}
remX = distanceX - dx*travelTime;
remY = distanceY - dy*travelTime;
segment.number = px;							

segment.ticks  = 0;
segment.travelTime = travelTime;
segment.dx = dx;
segment.dy = dy;
segment.remX = remX;
segment.remY = remY;
}
path.numSegs = parseInt(pathIndex);					

path.dir = PD_FWD;											

}
function StartPathAnimation( path )
{
path.currentSegment = path[0];		

path.currentSegment.ticks = 0;		

path.cntSegs = 0;									

if ( path.dir == PD_BACK )								

{
for ( var ii=0; ii < path.numSegs; ii++ )				

{
path[ii].dx *= -1;
path[ii].dy *= -1;
path[ii].remX *= -1;
path[ii].remY *= -1;
}
path.dir = PD_FWD;									

}
g_utilDoc.StartAnimationTimer (path, PathAnimationTick);
}
function StopPathAnimation (path)
{
}
function PathAnimationTick( path )
{
var	objPlayer = path.objPlayer;				

var segment = path.currentSegment;			

var	currentPosition = objPlayer.position;	

if ( ++segment.ticks <= segment.travelTime )		

{
var newX = currentPosition.x + segment.dx;			

if ( segment.ticks <= Math.abs(segment.remX) )	

segment.remX > 0 ? newX++ : newX--;
var newY = currentPosition.y + segment.dy;			

if ( segment.ticks <= Math.abs(segment.remY) )	

segment.remY > 0 ? newY++ : newY--;
currentPosition.SetPosition( newX, newY );	

return false;								

}
else if( segment.ticks==1 && segment.travelTime==0 )
{
currentPosition.SetPosition( currentPosition.x + segment.remX, currentPosition.y + segment.remY);	

return false;								

} 
if ( ++path.cntSegs < path.numSegs )
{
path.currentSegment = path[segment.number+path.dir];		

path.currentSegment.ticks = 0;								

return false;
}
if			( path.edgeEffect == PE_AGAIN )		

{
objPlayer.position.SetPosition( path[0].x, path[0].y );
path.currentSegment = path[0];					

path.currentSegment.ticks = 0;					

path.cntSegs = 0;								

return false;									

}							
else if		( path.edgeEffect == PE_REV )			

{
path.dir *= -1;									

for ( var ii=0; ii < path.numSegs; ii++ )
{
path[ii].dx *= -1;
path[ii].dy *= -1;
path[ii].remX *= -1;
path[ii].remY *= -1;
}
path.currentSegment.ticks = 0;					

path.cntSegs = 0;								

return false;
}
else if		( path.edgeEffect == PE_EXIT )
{
PlayerExit( objPlayer );
return true;
}
else
return true;									

}
var	GROW_PER_TICK = new Array(20,14,8,4,1);		

function Size( zoom, rate )
{
this.zoom = zoom;
this.rate = rate;
}
function Grows (delay, iAnchor)
{
this.Init = InitGrowAnimation;
this.Start = StartGrowAnimation;
this.Trigger = StartGrowAnimation;
this.Stop = StopGrowAnimation;
this.StopEverything = StopGrowAnimation;
}
function InitGrowAnimation (objPlayer, grow)
{
}
function StartGrowAnimation (grow)
{	
}
function StopGrowAnimation (grow)
{
}
function SetVisibility (el, val)
{
if (el.id != null)
el.NSLayer.visibility = val;
}
function Position (obj)
{
this.object = obj;                          

this.x = parseInt (obj.HTML.NSLayer.left);  

this.y = parseInt (obj.HTML.NSLayer.top);   

this.SetPosition = SetPosition;
}
function SetPosition (newX, newY) 
{
var el = this.object.HTML;					

if (el.id != null)
{				
this.x = newX;
this.y = newY;
el.NSLayer.top = parseInt (newY);
el.NSLayer.left = parseInt (newX);
el.offsetTop = el.NSLayer.top;
el.offsetLeft = el.NSLayer.left;
}
}
function GetPlayerFromName( playerName )
{
var objPlayer;
if ( (DocScene) && (DocScene.Players !=null) && ((objPlayer = DocScene.Players[playerName]) != null) )
return objPlayer;
return null;									

}
function GetObjectTypeFromName( nameString )
{
var type = nameString.substr(0,1);		

if (type == NAME_SCENE) 

return OBJ_SCENE;
else if	(type == NAME_PLAYER) 

return OBJ_PLAYER;
}
function GetPlayerTypeFromName( nameString )
{
var type = nameString.substr(1,1);		

if (type == PLAYER_NAME_IMAGE)      

return PLAYER_IMAGE;
else if	(type == PLAYER_NAME_DRAW)  

return PLAYER_DRAW;
else if	(type == PLAYER_NAME_TEXT)  

return PLAYER_TEXT;
}
